Bug 1119968 - Wacom bamboo pad CTH-301K not recognized
Summary: Wacom bamboo pad CTH-301K not recognized
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 02:51 UTC by Calebe Varga
Modified: 2015-02-18 11:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:37 UTC


Attachments (Terms of Use)

Description Calebe Varga 2014-07-16 02:51:58 UTC
I am trying to install the Wacom Bamboo Pad (CTH301K).

The device is not recognized.


Logs:

dmesg:

[  364.281710] usb 3-2: USB disconnect, device number 14
[  364.565352] usb 3-2: new full-speed USB device number 15 using xhci_hcd
[  364.731105] usb 3-2: New USB device found, idVendor=056a, idProduct=0318
[  364.731114] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  364.731119] usb 3-2: Product: Bamboo Pad, USB
[  364.731123] usb 3-2: Manufacturer: Wacom Co.,Ltd.


lsusb

Bus 003 Device 015: ID 056a:0318 Wacom Co., Ltd 



Kernel: 3.14.8-100
Packages: libwacom-0.8-1, xorg-x11-drv-wacom.x86_64

Comment 1 Bastien Nocera 2014-07-16 09:35:09 UTC
What does "the device is not recognised" mean?

Comment 2 Calebe Varga 2014-07-16 11:33:16 UTC
1- xinput does not show the device.
Eg:

⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad              	id=13	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Video Bus                               	id=8	[slave  keyboard (3)]
    ↳ Power Button                            	id=9	[slave  keyboard (3)]
    ↳ WebCam SC-13HDL11939N                   	id=11	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=12	[slave  keyboard (3)]

2- You cannot set or view the device using:
xsetwacom --list

3- Using gnome settings -> Wacom Tablet shows:
"No tablet detected"
"Please plug in or turn on you Wacom Tablet"

Comment 3 Bastien Nocera 2014-07-16 13:02:53 UTC
If it doesn't show up in the "xinput" output, then that means that the kernel driver isn't present, or X is filtering it out.

Comment 4 Fedora End Of Life 2015-01-09 21:27:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-18 11:46:37 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.